# Port Mapping Table

All the ports which are used by bundles. Collected here to be able to
easily find available ports for other bundles.

## TCP
Rule of thumb: keep ports below 10000 free for stuff that reserves ports.

| Port range  | reserved for |
| ----------- | ------------ |
| 200..       | Matrix |
| 220..       | Generic Web services |

| Port        | bundle               | usage |
| ----------- | -------------------- | ----- |
| 22          |                      | sshd |
| 25          |                      | postfix postscreen |
| 53          | powerdns             | dns server |
| 80          | nginx                | http |
| 113         |                      | oidentd |
| 143         |                      | dovecot imap |
| 443         | nginx                | https |
| 587         |                      | postfix submission |
| 993         |                      | dovecot imap
| 3100        |                      | grafana |
| 3700        |                      | codimd |
| 4090        |                      | dovecot managesieve |
| 5232        |                      | radicale |
| 5432        | postgresql           | postgres |
| 5900        | vmhost               | qemu-system-x86 |
| 6379        |                      | redis |
| 6667        |                      | bitlbee |
| 8010        |                      | matrix-media-repo |
| 8020        |                      | mautrix-whatsapp |
| 8184        |                      | matrix-dimension |
| 11332-11334 |                      | rspamd |
| 20000       | mx-puppet-discord    | Bridge |
| 20010       | mautrix-telegram     | Bridge |
| 20080       | matrix-synapse       | client, federation |
| 20081       | matrix-synapse       | prometheus metrics |
| 22000       | gitea                | gitea |
| 22010       | jenkins-ci           | Jenkins CI |
| 22020       | travelynx            | Travelynx Web |
| 22030       | octoprint            | OctoPrint Web Interface |
| 22040       | miniflux             | Miniflux Web Interface |
| 22050       | radicale             | radicale carddav and caldav server |
| 45923       |                      | grafana |

## UDP
| Port        | bundle               | usage |
| ----------- | -------------------- | ----- |
| 53          | powerdns             | dns server |
| 15000-15100 | voc-loudness-monitor | ffmpeg processes outputting rtp streams |
